---
title: "List drafts"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › reports

`GET /v2/reports/drafts`

## Code samples

### cURL

```bash
curl --request GET \
  --url https://api.sureshake.com/v2/reports/drafts
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/reports/drafts';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/reports/drafts"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "title": "string",
      "description": "string",
      "report_type": "forecast",
      "status": "draft",
      "is_public": true,
      "owner_id": "string",
      "entity_id": "8161163a-f227-466f-bc01-090a01e80165",
      "linked_report_id": "76246679-3292-4dc2-907d-bbc7b92e9b96",
      "fiscal_period_start": "2019-08-24T14:15:22Z",
      "fiscal_period_end": "2019-08-24T14:15:22Z",
      "ipfs_hash": "string",
      "ipfs_url": "string",
      "document_key": "string",
      "document_type": "string",
      "nft_address": "string",
      "nft_token_id": "string",
      "transaction_hash": "string",
      "data": {
        "property1": null,
        "property2": null
      },
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "view_delivery": {
        "status": "ready",
        "receiptId": "4937ce52-e283-4321-b00f-c29b6dd5d0e9",
        "source": "share",
        "expiresAt": "2019-08-24T14:15:22Z",
        "policyVersion": "report-view-delivery-v2"
      },
      "collection_ids": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      ],
      "tags": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "visibility": "private"
        }
      ]
    }
  ],
  "meta": {
    "total": 0,
    "limit": 0,
    "offset": 0,
    "hasMore": true,
    "page": 0,
    "totalPages": 0
  }
}
```

- `data` (`report-list-drafts.response.200.data`; array<object>, required)
  - `id` (`report-list-drafts.response.200.data.id`; string, required)
    - format `uuid`
  - `title` (`report-list-drafts.response.200.data.title`; string, required)
  - `report_type` (`report-list-drafts.response.200.data.report_type`; string, required)
    - one of `"forecast"`, `"projection"`, `"actual"`, `"formal_report"`, `"periodic_report"`, `"annual_report"`, `"quarterly_report"`, `"audit_report"`, `"compliance_report"`, `"clinical_trial"`, `"supply_chain"`, `"legal_document"`, `"government_filing"`, `"esg_report"`, `"kyc_resume"`, `"kyc_identity"`, `"kyc_address"`, `"kyc_selfie"`, `"kyc_complete"`, `"netsuite_ar_aging"`, `"netsuite_ap_aging"`, `"netsuite_inventory_aging"`, `"netsuite_customer_concentration"`, `"netsuite_vendor_concentration"`, `"netsuite_inventory_turnover"`, `"netsuite_financial_condition"`, `"netsuite_sales_bookings"`, `"netsuite_income_statement"`, `"netsuite_balance_sheet"`, `"netsuite_trial_balance"`, `"netsuite_cash_flows"`, `"netsuite_forecast"`, `"brokerage_statement"`, `"investor_report"`
  - `status` (`report-list-drafts.response.200.data.status`; string, required)
    - one of `"draft"`, `"uploading"`, `"attributes_added"`, `"ipfs_generated"`, `"submitted"`, `"verified"`, `"minted"`, `"archived"`
  - `is_public` (`report-list-drafts.response.200.data.is_public`; boolean, required)
  - `owner_id` (`report-list-drafts.response.200.data.owner_id`; string, required)
  - `created_at` (`report-list-drafts.response.200.data.created_at`; string, required)
    - format `date-time`
  - `updated_at` (`report-list-drafts.response.200.data.updated_at`; string, required)
    - format `date-time`
  - `description` (`report-list-drafts.response.200.data.description`; string, optional, nullable)
  - `entity_id` (`report-list-drafts.response.200.data.entity_id`; string, optional, nullable)
    - format `uuid`
  - `linked_report_id` (`report-list-drafts.response.200.data.linked_report_id`; string, optional, nullable)
    - format `uuid`
  - `fiscal_period_start` (`report-list-drafts.response.200.data.fiscal_period_start`; string, optional, nullable)
    - format `date-time`
  - `fiscal_period_end` (`report-list-drafts.response.200.data.fiscal_period_end`; string, optional, nullable)
    - format `date-time`
  - `ipfs_hash` (`report-list-drafts.response.200.data.ipfs_hash`; string, optional, nullable)
  - `ipfs_url` (`report-list-drafts.response.200.data.ipfs_url`; string, optional, nullable)
  - `document_key` (`report-list-drafts.response.200.data.document_key`; string, optional, nullable)
  - `document_type` (`report-list-drafts.response.200.data.document_type`; string, optional, nullable)
  - `nft_address` (`report-list-drafts.response.200.data.nft_address`; string, optional, nullable)
  - `nft_token_id` (`report-list-drafts.response.200.data.nft_token_id`; string, optional, nullable)
  - `transaction_hash` (`report-list-drafts.response.200.data.transaction_hash`; string, optional, nullable)
  - `data` (`report-list-drafts.response.200.data.data`; map<unknown>, optional, nullable)
  - `view_delivery` (`report-list-drafts.response.200.data.view_delivery`; any of, optional)
    - any of:
      - `object`
        - `status` (`report-list-drafts.response.200.data.view_delivery.1.status`; string, required)
          - one of `"ready"`
        - `receiptId` (`report-list-drafts.response.200.data.view_delivery.1.receiptId`; string, required)
          - format `uuid`
        - `source` (`report-list-drafts.response.200.data.view_delivery.1.source`; string, required)
          - one of `"share"`, `"vault"`, `"direct"`, `"api"`
        - `expiresAt` (`report-list-drafts.response.200.data.view_delivery.1.expiresAt`; string, required)
          - format `date-time`
        - `policyVersion` (`report-list-drafts.response.200.data.view_delivery.1.policyVersion`; string, required)
          - one of `"report-view-delivery-v2"`
      - `object`
        - `status` (`report-list-drafts.response.200.data.view_delivery.2.status`; string, required)
          - one of `"policyExcluded"`
        - `reason` (`report-list-drafts.response.200.data.view_delivery.2.reason`; string, required)
          - one of `"owner_self"`, `"blocked"`, `"non_external_traffic"`
        - `policyVersion` (`report-list-drafts.response.200.data.view_delivery.2.policyVersion`; string, required)
          - one of `"report-view-delivery-v2"`
      - `object`
        - `status` (`report-list-drafts.response.200.data.view_delivery.3.status`; string, required)
          - one of `"unavailable"`
        - `reason` (`report-list-drafts.response.200.data.view_delivery.3.reason`; string, required)
          - one of `"viewer_policy_unavailable"`, `"lineage_unavailable"`, `"tracking_unavailable"`
        - `policyVersion` (`report-list-drafts.response.200.data.view_delivery.3.policyVersion`; string, required)
          - one of `"report-view-delivery-v2"`
  - `collection_ids` (`report-list-drafts.response.200.data.collection_ids`; array<string>, optional)
    - format `uuid`
  - `tags` (`report-list-drafts.response.200.data.tags`; array<object>, optional)
    - `id` (`report-list-drafts.response.200.data.tags.id`; string, required)
      - format `uuid`
    - `name` (`report-list-drafts.response.200.data.tags.name`; string, required)
    - `visibility` (`report-list-drafts.response.200.data.tags.visibility`; string, required)
      - one of `"private"`, `"public"`
- `meta` (`report-list-drafts.response.200.meta`; object, required)
  - `total` (`report-list-drafts.response.200.meta.total`; number, required) — Total number of items available
  - `limit` (`report-list-drafts.response.200.meta.limit`; number, required) — Number of items per page
  - `offset` (`report-list-drafts.response.200.meta.offset`; number, required) — Number of items skipped
  - `hasMore` (`report-list-drafts.response.200.meta.hasMore`; boolean, required) — Whether more items are available
  - `page` (`report-list-drafts.response.200.meta.page`; number, optional) — Current page number
  - `totalPages` (`report-list-drafts.response.200.meta.totalPages`; number, optional) — Total number of pages

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-list-drafts.response.400.error`; object, required)
  - `code` (`report-list-drafts.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-list-drafts.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`report-list-drafts.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-list-drafts.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-list-drafts.response.401.error`; object, required)
  - `code` (`report-list-drafts.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-list-drafts.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`report-list-drafts.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-list-drafts.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-list-drafts.response.403.error`; object, required)
  - `code` (`report-list-drafts.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-list-drafts.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`report-list-drafts.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-list-drafts.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-list-drafts.response.404.error`; object, required)
  - `code` (`report-list-drafts.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-list-drafts.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`report-list-drafts.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-list-drafts.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-list-drafts.response.500.error`; object, required)
  - `code` (`report-list-drafts.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-list-drafts.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`report-list-drafts.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-list-drafts.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/report-list-drafts/index.md
